FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu User

 
 
LinkBack Thread Tools
 
Old 02-08-2009, 11:47 PM
"James A. T. Rice"
 
Default tftpd: Suggest mentioning no tsize in package description

Package: tftpd
Version: 0.17-16ubuntu1
Severity: minor


tftpd does not support 'tsize'. This causes problems with various tftp clients,
including pxe clients, and intel based macs while booting. The lack of debugging
information from clients trying to boot via tftp this early in the boot process
makes debugging difficult.

The package description mentions it's not suitable for serving pxe clients,
but that is rather lacking in actual scope. I'd suggest at least changing the
wording on the package description to something stronger, for example:

"Warning: Does not support 'tsize', thus will cause PXE (and various) other
clients requiring tsize to fail. For those, use atftpd or tftpd-hpa."

It would make peoples lives easier if tsize support was added, or if the package
was renamed somewhat to make it less of a default tftp package (ie tftpd-simple).

-- System Information:
Debian Release: lenny/sid
APT prefers intrepid-updates
APT policy: (500, 'intrepid-updates'), (500, 'intrepid-security'), (500, 'intrepid')
Architecture: i386 (i586)

Kernel: Linux 2.6.27-11-generic (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages tftpd depends on:
ii libc6 2.8~20080505-0ubuntu8 GNU C Library: Shared libraries
ii openbsd-inetd [ine 0.20080125-1 The OpenBSD Internet Superserver

tftpd recommends no packages.

-- no debconf information

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 02-10-2009, 06:31 AM
Matthew Flaschen
 
Default tftpd: Suggest mentioning no tsize in package description

James A. T. Rice wrote:
> Package: tftpd
> Version: 0.17-16ubuntu1
> Severity: minor

This is not the Ubuntu bug tracker. Ubuntu bugs must be reported to
Launchpad (https://bugs.launchpad.net/).

> The package description mentions it's not suitable for serving pxe clients,
> but that is rather lacking in actual scope.

I fail to understand how anyone seeing both "Tftpd is not suitable for
use with the PXE bootloader" could legitimately think it would work with
a PXE client.

It might be nice to say /why/ it doesn't work with PXE clients, but it's
clear that it /doesn't/.

> "Warning: Does not support 'tsize', thus will cause PXE (and various) other
> clients requiring tsize to fail. For those, use atftpd or tftpd-hpa."

Why would anyone assume it supports tsize, when it clearly says it is
based on RFC 783 (the tftpd definition), which clearly has no mention of
tsize (or indeed any option).

tsize is an /option/ and as RFC 2347 makes clear, tftp servers have no
obligation to support any particular option, or indeed any option at all.

> It would make peoples lives easier if tsize support was added, or if the package
> was renamed somewhat to make it less of a default tftp package (ie tftpd-simple).

Why should the default package be the complicated one when a simpler one
meets all actual requirements of the standard?

Matt Flaschen

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 

Thread Tools




All times are GMT. The time now is 12:36 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org